Introduction

Use these endpoints to perform a Uniti service plan change.

Request Specifications

Table 1. API Versions
Version Header Changes

1 (Deprecated)

X-API-VERSION=1

No change

2 (Deprecated)

X-API-VERSION=2

No change

3

X-API-VERSION=3

No change

4

X-API-VERSION=4

No change

5

X-API-VERSION=5

No change

6

X-API-VERSION=6

No change

7

X-API-VERSION=7

No change

8

X-API-VERSION=8

Added support to Uniti plan changes

API Version 8

Request Lifecycle

Changing a service’s plan and/or restoration SLA is a two step process. It allows you to do:

Plan Change

You need to pass in new Plan (price may change based on new Plan and pricing changes of current SLA)

SLA Change

You need to pass in existing Plan, new SLA (price may change based on pricing changes of current Plan and new SLA)

Plan Change plus SLA change

You need to pass in new Plan, new SLA (price may change based on new Plan and new SLA)

  1. Create a service-plan-change-request resource, by sending a POST request to /api/connect/services/plan-changes/request with the body of the request containing the serviceId, the planName, term, restorationSla (optional). The response’s http status will be 201 with a blank response body. There will be a Location response header with a URL. This URL is where the request outcome can be obtained.

  2. Make a GET request to the URL returned in 1. to retrieve the outcome of the request. While the request is in progress, the response’s http status will be 202. This means that the request has not finished yet, but will in a moment. If the request was successful a service-plan-change resource will be returned. If the request fails, a 422 Unprocessable Entity response is returned, with a body containing details about why the request failed in the standard error format.

POST Request

Table 2. POST Request

Verb

POST

URI

/api/connect/services/plan-changes/request

Table 3. POST HTTP Request Headers
Name Description

Authorization

The OAuth bearer access token

X-API-VERSION

The version of the endpoint you are accessing

Table 4. POST Request Body Fields
Path Type Description Required

serviceId

Number

The id of the service.

Required

planName

String

The plan name.

Required

term

Number

The plan term.

Required

restorationSla

String

The service restoration SLA

POST Response

Table 5. POST HTTP Status Codes
Status Code Meaning

201

The request was created successfully

401

Bearer token is missing or invalid

404

You do not have permission to perform this task

422

There are validation errors on the request you made. Check the response body to see what fields had issues.

500

There was an unexpected error processing the request

502

There was an unexpected error with one or more of the upstream services

Table 6. POST HTTP Response Headers
Name Description

Location

The URL of the service-plan-change-request resource

GET Request

Note
The URI will be given to you in the Location header of the POST request of the Service Plan Change request.
Table 7. GET Request

Verb

GET

URI

/api/connect/services/plan-changes/requests/{id}

Table 8. GET Request Path Variables

Path Variable

Purpose

id

The id of the service-plan-change-request resource to poll for completion status

Table 9. GET HTTP Request Headers
Name Description

Authorization

The OAuth bearer access token

X-API-VERSION

The version of the endpoint you are accessing

GET Response

Table 10. GET HTTP Status Codes
Status Code Meaning

200

The request is complete. The body contains the service-plan-change resource

202

The request is in progress

401

Bearer token is missing or invalid

404

You are not authorised or The id (of the service-plan-change-request resource) provided does not exist

422

The service-plan-change resource failed to be created. Check the response body to see why

500

There was an unexpected error processing the request

502

There was an unexpected error with one or more of the upstream services

Table 11. GET Response Body Fields
Path Type Description

id

Number

The Connect identifier of the plan change request resource.

serviceId

Number

The Connect identifier of the service resource.

status

String

The status.

sla

Object

Service Restoration SLA fee applied for the service plan change.

sla.sla

String

Name of the SLA.

sla.fee

Object

Applied charge for the addon type.

sla.fee.name

String

Name of fee charged for this addon type.

sla.fee.attributes

Object

Attributes of the addon type. Typically includes the sla name

sla.fee.oneTimeCharge.amount

String

One time charge of the addon type.

sla.fee.oneTimeCharge.currency

String

Currency of the addon type charge.

sla.fee.oneTimeCharge.symbol

String

Symbol of the addon type charge currency.

sla.fee.monthlyRecurringCharge.amount

String

Monthly recurring charge of the addon type.

sla.fee.monthlyRecurringCharge.currency

String

Currency of the monthly recurring charge.

sla.fee.monthlyRecurringCharge.symbol

String

Symbol of the monthly recurring charge currency.

plan

Object

Information of the service plan change.

plan.sourceType

String

The source type of the connection (e.g., UNITI).

plan.accessTechnology

String

Access technology type (e.g., FTTP).

plan.plan

String

Name of the plan.

plan.term

String

Term of the plan.

plan.speedDown

Object

Download speed details.

plan.speedDown.speed

Number

Download speed value.

plan.speedDown.unit

String

Unit of download speed (e.g., MBit/s).

plan.speedUp

Object

Upload speed details.

plan.speedUp.speed

Number

Upload speed value.

plan.speedUp.unit

String

Unit of upload speed (e.g., MBit/s).

plan.planFee

Object

Applied fee for the service plan change.

plan.planFee.attributes

Object

Attributes of the changed plan. Typically includes a plan and a term

plan.planFee.oneTimeCharge.amount

String

One time charge for the changed plan.

plan.planFee.oneTimeCharge.currency

String

Currency of the one time charge.

plan.planFee.oneTimeCharge.symbol

String

Symbol of the one time charge currency.

plan.planFee.monthlyRecurringCharge.amount

String

Monthly recurring charge of the ordered plan.

plan.planFee.monthlyRecurringCharge.currency

String

Currency of the monthly recurring charge.

plan.planFee.monthlyRecurringCharge.symbol

String

Symbol of the monthly recurring charge currency.

requestedOn

String

The date/time, including UTC offset, when service plan change requested

API Version 8 - Examples

Successful Request

Plan Change only

A service-plan-change-request resource is created by sending a POST request to /api/connect/services/plan-changes/request.

POST Request
POST /api/connect/services/plan-changes/request HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Content-Length: 77
Host: 360-api.superloop.com

{
  "serviceId" : 107,
  "planName" : "Opti-Bundle Home-1000",
  "term" : 1
}

If all required fields were given, then the response to the request will have:

  1. a http status of 201

  2. a Location header with the URI of the service-plan-change-request resource.

Successful POST Response
HTTP/1.1 201 Created
Location: /api/connect/services/plan-changes/requests/208
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY

Once you have the URI from the Location header, poll that URI every so often by making a GET request. While the plan change is in progress, the GET request’s response will have a http status of 202. Keep polling the URL until it finishes, once the request is completed successfully the GET request’s response will have a http status of 200.

Note
Please keep the polling to a sensible rate.
GET Request
GET /api/connect/services/plan-changes/requests/204 HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Host: 360-api.superloop.com
Successful GET Response
HTTP/1.1 200 OK
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 1130

{
  "id" : 204,
  "serviceId" : 107,
  "requestedOn" : "2023-11-01T01:33:58Z",
  "status" : "COMPLETED",
  "plan" : {
    "sourceType" : "UNITI",
    "accessTechnology" : "FTTP",
    "plan" : "Opti-Bundle Home-1000",
    "term" : "1",
    "speedDown" : {
      "speed" : 1000,
      "unit" : "MBit/s"
    },
    "speedUp" : {
      "speed" : 400,
      "unit" : "MBit/s"
    },
    "planFee" : {
      "attributes" : {
        "plan" : "Opti-Bundle Home-1000",
        "term" : "1"
      },
      "oneTimeCharge" : {
        "amount" : "0.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "monthlyRecurringCharge" : {
        "amount" : "255.80",
        "currency" : "AUD",
        "symbol" : "$"
      }
    }
  },
  "sla" : {
    "sla" : "Standard",
    "fee" : {
      "attributes" : {
        "sla" : "Standard"
      },
      "oneTimeCharge" : {
        "amount" : "0.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "monthlyRecurringCharge" : {
        "amount" : "0.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "name" : "SLA"
    }
  }
}
SLA Change Only
POST Request
POST /api/connect/services/plan-changes/request HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Content-Length: 117
Host: 360-api.superloop.com

{
  "serviceId" : 110,
  "planName" : "Opti-Bundle Home-100/20",
  "term" : 1,
  "restorationSla" : "Enhanced - 12"
}
GET Request
GET /api/connect/services/plan-changes/requests/207 HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Host: 360-api.superloop.com
Successful GET Response
HTTP/1.1 200 OK
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 1142

{
  "id" : 207,
  "serviceId" : 110,
  "requestedOn" : "2023-11-01T01:33:58Z",
  "status" : "COMPLETED",
  "plan" : {
    "sourceType" : "UNITI",
    "accessTechnology" : "FTTP",
    "plan" : "Opti-Bundle Home-100/20",
    "term" : "1",
    "speedDown" : {
      "speed" : 100,
      "unit" : "MBit/s"
    },
    "speedUp" : {
      "speed" : 20,
      "unit" : "MBit/s"
    },
    "planFee" : {
      "attributes" : {
        "plan" : "Opti-Bundle Home-100/20",
        "term" : "1"
      },
      "oneTimeCharge" : {
        "amount" : "0.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "monthlyRecurringCharge" : {
        "amount" : "66.60",
        "currency" : "AUD",
        "symbol" : "$"
      }
    }
  },
  "sla" : {
    "sla" : "Enhanced - 12",
    "fee" : {
      "attributes" : {
        "sla" : "Enhanced - 12"
      },
      "oneTimeCharge" : {
        "amount" : "0.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "monthlyRecurringCharge" : {
        "amount" : "20.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "name" : "SLA"
    }
  }
}
Plan Plus SLA Change
POST Request
POST /api/connect/services/plan-changes/request HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Content-Length: 115
Host: 360-api.superloop.com

{
  "serviceId" : 111,
  "planName" : "Opti-Bundle Home-1000",
  "term" : 1,
  "restorationSla" : "Enhanced - 12"
}
GET Request
GET /api/connect/services/plan-changes/requests/206 HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Host: 360-api.superloop.com
Successful GET Response
HTTP/1.1 200 OK
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 1141

{
  "id" : 206,
  "serviceId" : 111,
  "requestedOn" : "2023-11-01T01:33:58Z",
  "status" : "COMPLETED",
  "plan" : {
    "sourceType" : "UNITI",
    "accessTechnology" : "FTTP",
    "plan" : "Opti-Bundle Home-1000",
    "term" : "1",
    "speedDown" : {
      "speed" : 1000,
      "unit" : "MBit/s"
    },
    "speedUp" : {
      "speed" : 400,
      "unit" : "MBit/s"
    },
    "planFee" : {
      "attributes" : {
        "plan" : "Opti-Bundle Home-1000",
        "term" : "1"
      },
      "oneTimeCharge" : {
        "amount" : "0.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "monthlyRecurringCharge" : {
        "amount" : "255.80",
        "currency" : "AUD",
        "symbol" : "$"
      }
    }
  },
  "sla" : {
    "sla" : "Enhanced - 12",
    "fee" : {
      "attributes" : {
        "sla" : "Enhanced - 12"
      },
      "oneTimeCharge" : {
        "amount" : "0.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "monthlyRecurringCharge" : {
        "amount" : "20.00",
        "currency" : "AUD",
        "symbol" : "$"
      },
      "name" : "SLA"
    }
  }
}

Invalid Request

If the request is invalid for any reason, a http status of 422 is returned and the body of the response will list the problems with the request.

This example is of submitting a service plan change request with an invalid planName field.

POST Request- Service Plan Change
POST /api/connect/services/plan-changes/request HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Content-Length: 65
Host: 360-api.superloop.com

{
  "serviceId" : 107,
  "planName" : "plan-name",
  "term" : 1
}
POST Response with request validation errors
HTTP/1.1 422 Unprocessable Entity
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 396

{
  "httpStatusCode" : 422,
  "type" : "client.validation",
  "code" : "validation",
  "message" : "Validation error",
  "apiSubErrors" : [ {
    "code" : "constraints.plan.change.plan.name.invalid",
    "message" : "The Plan is unavailable",
    "object" : "ServicePlanChange",
    "field" : "planName",
    "rejectedValue" : "plan-name"
  } ],
  "timestamp" : "2026-06-08T13:17:19.430585518Z"
}

Resource failed to be created

If the service-plan-change resource failed to be created, a http status of 422 is returned and the body of the response will list the reason why

GET Request
GET /api/connect/services/plan-changes/requests/205 HTTP/1.1
Content-Type: application/json;charset=UTF-8
Authorization: Bearer **token**
X-API-VERSION: 8
Host: 360-api.superloop.com
GET Response service-plan-change resource failed to be created
HTTP/1.1 422 Unprocessable Entity
Content-Type: application/json
X-Content-Type-Options: nosniff
X-XSS-Protection: 1; mode=block
Cache-Control: no-cache, no-store, max-age=0, must-revalidate
Pragma: no-cache
Expires: 0
X-Frame-Options: DENY
Content-Length: 390

{
  "httpStatusCode" : 422,
  "type" : "client.validation",
  "code" : "validation",
  "message" : "Validation error",
  "apiSubErrors" : [ {
    "code" : "constraints.service.plan.change.status.in.error",
    "message" : "Error occurred",
    "object" : "ServicePlanChange",
    "field" : "status",
    "rejectedValue" : "IN_ERROR"
  } ],
  "timestamp" : "2026-06-08T13:17:26.176514132Z"
}